org.modeshape.sequencer.text

## Class DefaultRowFactory

- java.lang.Object
- - org.modeshape.sequencer.text.DefaultRowFactory

- All Implemented Interfaces:
    RowFactory

      @NotThreadSafe
      public class DefaultRowFactory
      extends Object
      implements RowFactory

  A default implementation of the `RowFactory` class. This class records rows in the following subgraph:

       <graph root>
           + text:row[1] (jcr:primaryType = nt:unstructured)
           |   + text:column[1] (jcr:primaryType = nt:unstructured, jcr:mixinTypes = text:column, text:data = )
           |   + ...
           |   + text:column[n] (jcr:primaryType = nt:unstructured, jcr:mixinTypes = text:column, text:data = )
           + ...
           + text:row[m] (jcr:primaryType = nt:unstructured)
               + text:column[1] (jcr:primaryType = nt:unstructured, jcr:mixinTypes = text:column, text:data = )
               + ...
               + text:column[n] (jcr:primaryType = nt:unstructured, jcr:mixinTypes = text:column, text:data = )

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRowFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `recordRow(Node outputNode, String[] columns)` Records a row using under the provided `Node` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRowFactory

          public DefaultRowFactory()

  - ### Method Detail

    - #### recordRow

          public void recordRow(Node outputNode,
                       String[] columns)
                         throws RepositoryException

      Description copied from interface: `RowFactory`
      Records a row using under the provided `Node` instance.
      Specified by:
        `recordRow` in interface `RowFactory`
      Parameters:
        `outputNode` - the node under which the sequencing output is placed.
        `columns` - the columns that could be parsed out for the row
      Throws:
        `RepositoryException` - if anything fails while recording the row under the ouput node.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.